package tech.techyjessy;

import java.io.File;

import org.bukkit.plugin.java.JavaPlugin;

import tech.techyjessy.Commands.CustomWhitelistCommand;
import tech.techyjessy.Commands.ListRegistrars;
import tech.techyjessy.Commands.ListWhitelisted;
import tech.techyjessy.Commands.RegisterWhitelister;
import tech.techyjessy.Configuration.ConfigMgr;
import tech.techyjessy.Configuration.WhitelisterFormat;

public class App extends JavaPlugin {
    public static ConfigMgr config = ConfigMgr.getInstance();
    public static WhitelisterFormat wFormat = WhitelisterFormat.getInstance();

    @Override
    public void onEnable() {
        getLogger().info("Hello, SpigotMC!");

        // initialize crucial plugin stuff
        config.SetConfDir(getDataFolder());
        wFormat.Init();

        // command initialization
        this.getCommand("register-whitelister").setExecutor(new RegisterWhitelister());
        this.getCommand("whitelist-list").setExecutor(new ListWhitelisted());
        this.getCommand("whitelist-add").setExecutor(new CustomWhitelistCommand());
        this.getCommand("whitelister-list").setExecutor(new ListRegistrars());
    }
    @Override
    public void onDisable() {
        getLogger().info("See you again, SpigotMC!");
    }
}
