package tech.techyjessy.Configuration;

import java.util.ArrayList;
import java.util.List;

import tech.techyjessy.App;

public class WhitelisterFormat {
    private static WhitelisterFormat static_inst;

    public static WhitelisterFormat getInstance() {
        if (static_inst == null) {
            static_inst = new WhitelisterFormat();
        }

        return static_inst;
    }

    class WhitelisterJsonFormat {
        List<String> names = new ArrayList<String>();
    }

    WhitelisterJsonFormat internalFormat = new WhitelisterJsonFormat();

    public void Init() {
        ReadConfig();
    }

    public void ReadConfig() {
        internalFormat = App.config.GetJsonObjectFromFile(WhitelisterJsonFormat.class);
    }

    public void WriteConfig() {
        App.config.WriteToJsonFile(internalFormat);
    }

    public String AddName(String newName) {
        String ret = "";
        if (!internalFormat.names.contains(newName)) {
            internalFormat.names.add(newName);
            WriteConfig();
            ret = "success";
        } else {
            ret = newName + " is already on the whitelister registrar list!";
        }

        return ret;
    }

    public String DelName(String newName) {
        String ret = "";
        if (internalFormat.names.contains(newName)) {
            internalFormat.names.remove(newName);
            WriteConfig();
            ret = "success";
        } else {
            ret = newName + " is not on the whitelister registrar list!";
        }

        return ret;
    }

    public Boolean IsRegistrar(String name) {
        if (internalFormat.names.contains(name)) {
            return true;
        } else {
            return false;
        }
    }

    public List<String> ListNames() {
        return internalFormat.names;
    }
}
